Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dgetc2

    java.lang.Object
      org.netlib.lapack.Dgetc2

    public class Dgetc2

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DGETC2 computes an LU factorization with complete pivoting of the
     *  n-by-n matrix A. The factorization has the form A = P * L * U * Q,
     *  where P and Q are permutation matrices, L is lower triangular with
     *  unit diagonal elements and U is upper triangular.
     *
     *  This is the Level 2 BLAS algorithm.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A. N >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA, N)
     *          On entry, the n-by-n matrix A to be factored.
     *          On exit, the factors L and U from the factorization
     *          A = P*L*U*Q; the unit diagonal elements of L are not stored.

     *          If U(k, k) appears to be less than SMIN, U(k, k) is given the
     *          value of SMIN, i.e., giving a nonsingular perturbed system.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  IPIV    (output) INTEGER array, dimension(N).
     *          The pivot indices; for 1 <= i <= N, row i of the
     *          matrix has been interchanged with row IPIV(i).
     *
     *  JPIV    (output) INTEGER array, dimension(N).
     *          The pivot indices; for 1 <= j <= N, column j of the
     *          matrix has been interchanged with column JPIV(j).
     *
     *  INFO    (output) INTEGER
     *           = 0: successful exit
     *           > 0: if INFO = k, U(k, k) is likely to produce owerflow if
     *                we try to solve for x in Ax = b. So U is perturbed to
     *                avoid the overflow.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Bo Kagstrom and Peter Poromaa, Department of Computing Science,
     *     Umea University, S-901 87 Umea, Sweden.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dgetc2()`

Method Summary
`static void` | `dgetc2(int n, double[] a, int _a_offset, int lda, int[] ipiv, int _ipiv_offset, int[] jpiv, int _jpiv_offset, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dgetc2

    public Dgetc2()

Method Detail

### dgetc2

    public static void dgetc2(int n,
                              double[] a,
                              int _a_offset,
                              int lda,
                              int[] ipiv,
                              int _ipiv_offset,
                              int[] jpiv,
                              int _jpiv_offset,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD